/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDOMImplementation_H___INT_
#define __GdomDOMImplementation_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "DOMImplementation.h"
namespace WebCore {
    gpointer toGDOM(DOMImplementation* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDOMImplementation : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOM_IMPLEMENTATION; }
    GDOMDOMImplementation(PassRefPtr<WebCore::DOMImplementation> impl);
    virtual ~GDOMDOMImplementation();
    WebCore::DOMImplementation* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::DOMImplementation> m_impl;
};
G_END_DECLS

#endif /* __GdomDOMImplementation_H___INT_*/
